Subject: Gitolite home directory permissions
From: Evgeny Pisemsky <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2022 00:35:10 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

  I wanted to serve public repositories from gitolite using git-daemon.

  I tried the following configuration of services:

  ┌────
  │ (define git-daemon
  │   (git-daemon-service
  │    #:config (git-daemon-configuration
  │              (base-path "/var/lib/gitolite/repositories"))))
  │ 
  │ (define gitolite
  │   (service gitolite-service-type
  │            (gitolite-configuration
  │             (admin-pubkey user-key)
  │             (group "git-daemon")
  │             (rc-file (gitolite-rc-file
  │                       (umask #o0027))))))
  └────

  However despite setting the umask the `/var/lib/gitolite' directory
  gets the `drwx------' permissions that makes it inaccessible for the
  git-daemon.

  If I set the group permissions manually and restart the git-daemon
  everything works fine until the next system reboot, which resets the
  permissions to the above value.